Subject: Re: bug#46469: 27.1; `isearch-del-char' should move point further back

From: Eli Zaretskii <[email-masked]>
Date: Sat, 13 Feb 2021 15:28:45 +0200

> From: Augusto Stoffel <[email-masked]>
> Cc: [email-masked]
> Date: Sat, 13 Feb 2021 10:53:44 +0100
> 
> As to this being just a personal preference: I'm sure you'll find people
> attached to the current behavior if you poll the mailing list, but let
> me note that, in other sensible search UIs, DEL works like the patched
> ‘isearch-del-char’.  I've just tested Swiper, gedit and zile.  They're
> all like the patched version.  I see no reason for a defcustom here.

I'm afraid we have no choice, since the current behavior is very old.
We cannot make incompatible behavior changes in such old commands
unconditionally.